org.apache.cassandra.db

## Class LegacyLayout.LegacyCellName

- java.lang.Object
- - org.apache.cassandra.db.LegacyLayout.LegacyCellName

Enclosing class:
  LegacyLayout

    public static class LegacyLayout.LegacyCellName
    extends java.lang.Object

### Field Summary

Fields
`Clustering` `clustering`
`java.nio.ByteBuffer` `collectionElement`
`ColumnDefinition` `column`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.nio.ByteBuffer` `encode(CFMetaData metadata)`
`java.nio.ByteBuffer` `superColumnName()`
`java.nio.ByteBuffer` `superColumnSubName()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### clustering

    public final Clustering clustering

#### column

    public final ColumnDefinition column

#### collectionElement

    public final java.nio.ByteBuffer collectionElement

### Method Detail

#### encode

    public java.nio.ByteBuffer encode(CFMetaData metadata)

#### superColumnSubName

    public java.nio.ByteBuffer superColumnSubName()

#### superColumnName

    public java.nio.ByteBuffer superColumnName()

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`